[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Anaconda and Linux kernel 2.6.0-test9



>> Is there a glibc-kernheaders package created from 2.6 yet?
> 
> This would only be necessary if there had been any kernel ABI
> changes.  Do you know of any?
> 
> BTW, glibc-kernheaders is actually a misnomer: it exposes the kernel
> ABI, and has nothing to do with glibc, other than the fact that glibc
> uses it.

Yes, I want to add encrypted root filesystem support to anaconda unsing
loopback encryption.  In order to do this, I need 2.6 (or kerneli.org's 2.4
patch) because loop.h has cryptoloop-related additions.  I suppose I could
just apply the relevant portions of the 2.4 cryptoloop patch to
glibc-kernheaders.  I would like to see this cryptoloop stuff upstream,
though.

Hopefully I'm on the right track now, thanks.

--
Mike




[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]